io = require "io"

function dump(o)
	print("____begin_dump")
	if type(o) == "table" then
		for k,v in pairs(o) do
			print(tostring(k) .. "    " .. tostring(v) .. "    " .. type(v))
		end
	else
		print(tostring(o))
	end
	print("____end_dump")
end

function love.load()
	print "Init..."

	print "package"
	dump(package)

	print "package.loaded"
	dump(package.loaded)

	print "package.searchers"
	dump(package.searchers)

	print "package.preload"
	dump(package.preload)
end

function love.draw()
    love.graphics.print('Hello World!', 400, 300)
end